GCLOUD_DEPLOYMENT-MANAGER_DEPLOYMENTS_UPDATE(1)

NAME

gcloud deployment-manager deployments update - update a deployment based on a provided config file

SYNOPSIS

gcloud deployment-manager deployments update DEPLOYMENT_NAME [--async] [--config=CONFIG] [--create-policy=CREATE_POLICY; default="CREATE_OR_ACQUIRE"] [--delete-policy=DELETE_POLICY; default="DELETE"] [--description=DESCRIPTION] [--fingerprint=FINGERPRINT] [--preview] [--properties=[PROPERTIES,...]] [--remove-labels=[KEY,...]] [--update-labels=[KEY=VALUE,...]] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
This command will update a deployment with the new config file provided. Different policies for create, update, and delete policies can be specified.

POSITIONAL ARGUMENTS

    DEPLOYMENT_NAME
        Deployment name.

FLAGS

    --async
        Return immediately and print information about the Operation in progress rather than waiting for the Operation to complete. (default=False)

    --config=CONFIG
        Filename of config that specifies resources to deploy. Required unless launching an already-previewed update to this deployment. More information is available at https://cloud.google.com/deployment-manager/docs/configuration/.

    --create-policy=CREATE_POLICY; default="CREATE_OR_ACQUIRE"
        Create policy for resources that have changed in the update. CREATE_POLICY must be one of: ACQUIRE, CREATE_OR_ACQUIRE.

    --delete-policy=DELETE_POLICY; default="DELETE"
        Delete policy for resources that will change as part of an update or delete. DELETE deletes the resource while ABANDON just removes the resource reference from the deployment. DELETE_POLICY must be one of: ABANDON, DELETE.

    --description=DESCRIPTION
        The new description of the deployment.

    --fingerprint=FINGERPRINT
        The fingerprint to use in requests to modify a deployment. If not specified, a get deployment request will be made to fetch the latest fingerprint. A fingerprint is a randomly generated value that is part of the update, stop, and cancel-preview request to perform optimistic locking. It is initially generated by Deployment Manager and changes after every request to modify data. The latest fingerprint is printed when deployment data is modified.

    --preview
        Preview the requested update without making any changes to theunderlying resources. (default=False)

    --properties=[PROPERTIES,...]
        A comma separated, key:value, map to be used when deploying a template file directly.

    --remove-labels=[KEY,...]
        A list of label keys to remove. If a label does not exist it is silently ignored.

    --update-labels=[KEY=VALUE,...]
        A list of label KEY=VALUE pairs to update. If a label exists its value is modified, otherwise a new label is created.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.

EXAMPLES
To update an existing deployment with a new config file, run:
    $ gcloud deployment-manager deployments update my-deployment \
        --config new_config.yaml
To preview an update to an existing deployment without actually modifying the resources, run:
    $ gcloud deployment-manager deployments update my-deployment \
        --config new_config.yaml --preview
To apply an update that has been previewed, provide the name of the previewed deployment, and no config file:
    $ gcloud deployment-manager deployments update my-deployment
To specify different create, update, or delete policies, include any subset of the following flags;
    $ gcloud deployment-manager deployments update my-deployment \
        --config new_config.yaml --create-policy ACQUIRE \
        --delete-policy ABANDON
To perform an update without waiting for the operation to complete, run:
    $ gcloud deployment-manager deployments update my-deployment \
        --config new_config.yaml --async
To update an existing deployment with a new config file and a fingerprint, run:
    $ gcloud deployment-manager deployments update my-deployment \
        --config new_config.yaml --fingerprint deployment-fingerprint